PCRE2_GET_ERROR_MESSAGE(3)

NAME
PCRE2 - Perl-compatible regular expressions (revised API)

SYNOPSIS

#include <pcre2.h>

int pcre2_get_error_message(int errorcode, PCRE2_UCHAR *buffer,
  PCRE2_SIZE bufflen);

DESCRIPTION

This function provides a textual error message for each PCRE2 error code. Compilation errors are positive numbers; UTF formatting errors and matching errors are negative numbers. The arguments are:

  errorcode an error code (positive or negative)
  buffer where to put the message
  bufflen the length of the buffer (code units)

The function returns the length of the message, excluding the trailing zero, or a negative error code if the buffer is too small.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.